Name:          libcloudproviders
Version:       0.3.1
Release:       1mamba
Summary:       A glib based library that makes it easier to implement a cloud provider server or client
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/juliushaertl/libcloudproviders
## GITSOURCE https://github.com/juliushaertl/libcloudproviders.git master
Source:        https://gitlab.gnome.org/World/libcloudproviders.git/%{version}/libcloudproviders-%{version}.tar.bz2
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libglib-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
libcloudproviders is a glib based library that makes it easier to implement a cloud provider server or client.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcloudproviders.so.*
%{_libdir}/girepository-1.0/CloudProviders-*.typelib
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cloudproviders
%{_includedir}/cloudproviders/*.h
%{_libdir}/libcloudproviders.so
%{_libdir}/pkgconfig/cloudproviders.pc
%{_datadir}/gir-1.0/CloudProviders-*.gir
%{_datadir}/vala/vapi/cloudproviders.deps
%{_datadir}/vala/vapi/cloudproviders.vapi
%doc README.md

%changelog
* Sun Jun 14 2020 Automatic Build System <autodist@mambasoft.it> 0.3.1-1mamba
- automatic version update by autodist

* Tue Apr 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.0-1mamba
- update to 0.3.0

* Tue Apr 07 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.20200407git-1mamba
- package created using the webbuild interface
